SoPickRayElement(3)

NAME
SoPickRayElement - The SoPickRayElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoPickRayElement.h>

Inherits SoElement.

  Public Member Functions
virtual void init (SoState *state)
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo () const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const SbViewVolume &volume)
FIXME: write doc.
static const SbViewVolume & get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoPickRayElement ()

  Protected Attributes
SbViewVolume volume

  Additional Inherited Members

Detailed Description

The SoPickRayElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoPickRayElement::~SoPickRayElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPickRayElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoPickRayElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoPickRayElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoPickRayElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoPickRayElement::init (SoState * state) [virtual]
Initializes the element to its default value.

Reimplemented from SoElement.

  SbBool SoPickRayElement::matches (const SoElement * element) const [virtual]

FIXME: write doc.

Implements SoElement.

  SoElement * SoPickRayElement::copyMatchInfo (void) const [virtual]

FIXME: write doc.

Implements SoElement.

Member Data Documentation

  SoPickRayElement::volume [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.